KJS::ListIterator Class Reference

`#include <list.h>`

## Public Member Functions

| ListIterator (const List &l)
| ListIterator (const List &l, int index)
ValueImp * | operator-> () const
Value | operator* () const
Value | operator++ ()
Value | operator++ (int)
Value | operator-- ()
Value | operator-- (int)
bool | operator== (const ListIterator &it) const
bool | operator!= (const ListIterator &it) const

## Detailed Description

Iterator for KJS::List objects.

Definition at line 138 of file list.h.

## Constructor & Destructor Documentation

KJS::ListIterator::ListIterator | ( | const List & | l | ) |

inline

Construct an iterator that points to the first element of the list.

Parameters

  l | The list the iterator will operate on.

Definition at line 144 of file list.h.

## Member Function Documentation

bool KJS::ListIterator::operator!= | ( | const ListIterator & | it | ) | const

inline

Check for inequality with another iterator.

Returns
  True if the two iterators operate on different list elements.

Definition at line 179 of file list.h.

Value KJS::ListIterator::operator++ | ( |  | ) |

inline

Prefix increment operator.

Returns
  The element after the increment.

Definition at line 156 of file list.h.

Value KJS::ListIterator::operator++ | ( | int |  | ) |

inline

Postfix increment operator.

Definition at line 160 of file list.h.

Value KJS::ListIterator::operator-- | ( |  | ) |

inline

Prefix decrement operator.

Definition at line 164 of file list.h.

Value KJS::ListIterator::operator-- | ( | int |  | ) |

inline

Postfix decrement operator.

Definition at line 168 of file list.h.

ValueImp* KJS::ListIterator::operator-> | ( |  | ) | const

inline

Dereference the iterator.

Returns
  A pointer to the element the iterator operates on.

Definition at line 150 of file list.h.

bool KJS::ListIterator::operator== | ( | const ListIterator & | it | ) | const

inline

Compare the iterator with another one.

Returns
  True if the two iterators operate on the same list element. False otherwise.

Definition at line 174 of file list.h.

The documentation for this class was generated from the following file:

- list.h

KDE Home | KDE Accessibility Home | Description of Access Keys